跳转到主要内容
PATCH
/
import
/
{baseId}
/
{tableId}
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/import/%7BbaseId%7D/%7BtableId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"attachmentUrl":"string","fileType":"csv","insertConfig":{"sourceWorkSheetKey":"string","excludeFirstRow":true,"sourceColumnMap":{"property1":0,"property2":0}},"notification":true}'

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
tableId
string
必填

请求体

application/json
attachmentUrl
string
必填
fileType
enum<string>
必填
可用选项:
csv,
excel
insertConfig
object
必填
notification
boolean

响应

200

Successfully import table inplace

Last modified on March 5, 2026